mod utils;
use utils::{utils::*, status_utils::*, server::ServerTest, client::ClientTest};


#[cfg(test)]
mod push_tests {
    use super::*;

    #[test]
    fn simple_pull() {
        let id = get_random_test_id();
        let mut server = ServerTest::new(id.clone());
        server.init();
        let mut client = ClientTest::new(id).init();

        let _ = server.add_file("file1", "foo");
        client.run_cmd_ok("pull");

        // tests
        assert!(client.has_file("file1", "foo"));

        client.clean();
        server.clean();
    }

}
